%define subrel 1

%define	upstream_name	 DBD-Firebird
%define	upstream_version 1.15

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Firebird database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist=%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz
# https://bugs.mageia.org/show_bug.cgi?id=15587
# https://github.com/mariuz/perl-dbd-firebird/commit/a51b14d4729c24033d126ae68413ab4ab45676d6
# https://github.com/mariuz/perl-dbd-firebird/commit/43b9cfac3f09dead772ece59b2d3d5bf8d73d360
Patch0:     DBD-Firebird-1.15-CVE-2015-2788.patch

BuildRequires: perl(DBI) >= 1.410.0
BuildRequires: perl(File::Which)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: firebird-devel
BuildRequires: perl-devel
%description
Firebird database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .CVE-2015-2788

%build
export FIREBIRD_INCLUDE=%{_includedir}/firebird
export FIREBIRD_LIB=%{_libdir} 
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#%check
#%{__make} test

%install
%makeinstall_std
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%files
%doc Changes MYMETA.yml README eg
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*


%changelog
* Fri Apr 03 2015 sander85 <sander85> 1.150.0-2.1.mga4
+ Revision: 819638
- Fix CVE-2015-2788

* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 534286
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 477092
- update to 1.15

* Mon Sep 09 2013 sander85 <sander85> 1.140.0-1.mga4
+ Revision: 476669
- update to 1.14

* Fri Aug 16 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 466899
- update to 1.12

* Wed May 29 2013 jquelin <jquelin> 1.110.0-3.mga4
+ Revision: 431181
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.110.0-1.mga3
+ Revision: 297967
- update to 1.11

* Tue Jun 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 254721
- update to 1.00

* Wed May 30 2012 jquelin <jquelin> 0.910.0-2.mga3
+ Revision: 250489
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.910.0-1.mga2
+ Revision: 163436
- update to 0.91

  + jquelin <jquelin>
    - removing patch no longer needed

* Fri Oct 14 2011 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 155074
- update to 0.80

* Mon Jun 27 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 114691
- update to 0.55

* Fri Jun 17 2011 pterjan <pterjan> 0.520.0-2.mga2
+ Revision: 108574
- Fix build with perl 5.14

  + jquelin <jquelin>
    - perl 5.14 rebuild

  + sander85 <sander85>
    - perl 5.14

* Tue Mar 29 2011 philippem <philippem> 0.52-1.mga1
+ Revision: 78676
- imported package perl-DBD-Firebird

